#i = 0
numbers = []

def counter(i2, INC_BY):
    
    i = 0
    
    while i < i2 :
        print(f"At the top i is {i}")
        numbers.append(i)

        i = i + INC_BY

        print("Nums now:", numbers)
        print(f"At the bottom i is {i}")

print("The numbers: ")

for num in numbers:
    print(num)

counter(2, 2)
